Skip to content
Developer

OrganizationBroadcast

Staff1 EndpointsTimeTracking / OrganizationBroadcast

Send a broadcast to the people of a unit, organisation or group

POST/api/time/organization_broadcast

Body (data): target_type (UNIT|ORGANIZATION|GROUP), target_id, text (subject/short), long_text (body), send_push, send_mail. Query dry_run=1 only resolves the recipients.

Query parameters

dry_runbooleanOnly list the recipients, send nothing

Request body application/json

  • dataobject
    Show fields (6)
    • target_typestring

      Allowed: UNIT ORGANIZATION GROUP

    • target_idinteger
    • textstring
    • long_textstring
    • send_pushboolean
    • send_mailboolean

Responses

200Recipients and, unless dry run, the queued mass notification

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/time/organization_broadcast \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "text": "Text",
    "long_text": "Text",
    "send_mail": true,
    "target_type": "UNIT",
    "target_id": 42,
    "send_push": true
  }
}
'